curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/schemas/{id}/components \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"ref": "<string>",
"definition": {},
"schemaId": "<string>"
}
],
"replaceExisting": true
}
'{
"components": [
{
"ref": "<string>",
"definition": {},
"schemaId": "<string>"
}
]
}Create a batch of schema components.
curl --request POST \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/schemas/{id}/components \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"ref": "<string>",
"definition": {},
"schemaId": "<string>"
}
],
"replaceExisting": true
}
'{
"components": [
{
"ref": "<string>",
"definition": {},
"schemaId": "<string>"
}
]
}CreateSchemaComponentsRequest is the request body for creating a new batch of Schema Components.
Show child attributes
The ref of the schema object, for OpenAPI this will be how operations ref to this object with the ref field.
The definition of the schema object following OpenAPI specification.
The ID of the schema this object belongs to.
CreateSchemaComponentsResponse is the response definition after creating a batch of schema components.
Show child attributes
The ref of the schema object, for OpenAPI this will be how operations ref to this object with the ref field.
The definition of the schema object following OpenAPI specification.
The ID of the schema this object belongs to.